package com.jasamedika.medifirst2000.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Pasien;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class PelayananObatVOVO
 * 
 * @author Generator
 */
public class PelayananObatLuarVO extends BaseTransactionVO {

	@ManyToOne
	@JoinColumn(name = "strukOrder")	
	@Caption(value = "Struk Order")
	private StrukOrderVO strukOrder;

	@ManyToOne
	@JoinColumn(name = "strukResep")	
	@Caption(value = "Struk Resep")
	private StrukResepVO strukResep;
	
	@Caption(value = "List Obat")
	private List<PelayananPasienVO> listObat = new ArrayList<PelayananPasienVO>();
	
	@Caption(value = "strukPelayanan")
	private StrukPelayananVO strukPelayanan;

	@Caption(value = "deskripsi")
	private String deskripsi;

	@Caption(value = "tanggalPelayanan")
	private Date tanggalPelayanan;
	
	@Caption(value = "Pasien")
	private PasienVO pasien;
	
	@Caption(value="Alamat")
	private AlamatVO alamat;

	@Caption(value = "Produk")
	private ProdukVO produk;
	
	@Caption(value = "TotalHarusDibayar")
	private Double totalHarusDibayar;
	
	@Caption(value = "ruanganLogin")
	private RuanganVO ruanganLogin;

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}

	public StrukResepVO getStrukResep() {
		return strukResep;
	}

	public void setStrukResep(StrukResepVO strukResep) {
		this.strukResep = strukResep;
	}

	public List<PelayananPasienVO> getListObat() {
		return listObat;
	}

	public void setListObat(List<PelayananPasienVO> listObat) {
		this.listObat = listObat;
	}

	public String getDeskripsi() {
		return deskripsi;
	}

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	public Date getTanggalPelayanan() {
		return tanggalPelayanan;
	}

	public void setTanggalPelayanan(Date tanggalPelayanan) {
		this.tanggalPelayanan = tanggalPelayanan;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public AlamatVO getAlamat() {
		return alamat;
	}

	public void setAlamat(AlamatVO alamat) {
		this.alamat = alamat;
	}

	public ProdukVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	public Double getTotalHarusDibayar() {
		return totalHarusDibayar;
	}

	public void setTotalHarusDibayar(Double totalHarusDibayar) {
		this.totalHarusDibayar = totalHarusDibayar;
	}

	public StrukPelayananVO getStrukPelayanan() {
		return strukPelayanan;
	}

	public void setStrukPelayanan(StrukPelayananVO strukPelayanan) {
		this.strukPelayanan = strukPelayanan;
	}

	public RuanganVO getRuanganLogin() {
		return ruanganLogin;
	}

	public void setRuanganLogin(RuanganVO ruanganLogin) {
		this.ruanganLogin = ruanganLogin;
	}

}